#!/bin/sh
echo "Content-type: text/html";
echo;
echo "<HTML><TITLE>MPS Audio Extraction</TITLE><BODY>";
cd /mnt/flash

errMsg="<BR>Please use your browser's <B>back</B> button to correct the error.<BR>";

#
# Read CGI data
#
read data_in

#
# Parse the input data
#
if [ "X$data_in" != "X" ]; then
	#
	# Input checking
	#
	#echo "Got $data_in"
	newAuthEna=`echo $data_in | sed -n "s/.*\(newAuthEna=\)\([^\&]*\).*/\2/p"`
	newAdminPassword=`echo $data_in | sed -n "s/.*\(newAdminPassword=\)\([^\&]*\).*/\2/p"`

    if [ "X$newAuthEna" != "X1" ]; then
        newAuthEna="0";
    fi
    

    if [ "X$newAdminPassword" != "X" ]; then
        newAuthEna="0";
    fi
    
    
			
	#
	# Update configuration files
	#
	cat /proc/flash_write_enable > /dev/null
	mount -o remount,rw /mnt/flash
    
    if [ "X$newAuthEna" != "X1" ]; then
        echo /:admin:$newAdminPassword > /mnt/flash/httpd.conf
    else
        echo "" > /mnt/flash/httpd.conf
    fi

    # restart web server - kills the script let the user restart the system
    #killall httpd
    #httpd -p 80 -h /tmp/www -c /mnt/flash/httpd.conf -r "Authenticate:"

	mount -o remount,ro /mnt/flash
	cat /proc/flash_write_disable > /dev/null
	echo "<P><B>Note:</B> Changes have been applied.  A <A HREF="reboot.sh">reboot</A> is required for these changes to take effect.<P>";
	
fi

#
# Read configuration file settings
#

# exgine IP address
adminPassword=`sed -n "s/\(.*admin:\)\(.*$\)/\2/p" /mnt/flash/httpd.conf`;

if [ "X$adminPassword" = "X" ]; then
    authEna="0";
else
    authEna="1";
fi


#
# Build the HTML page
#
echo "<FORM METHOD=POST ACTION=webpassword.sh>"

echo "<TABLE WIDTH=80% CELLSPACING=0 CELLPADDING=4>"

echo "<TR><TD bgcolor=\"#09254a\"><FONT color=gray FACE=\"Verdana\"><B>WWW Admin Password</B></FONT></TD>";
echo "<TD ALIGN=right bgcolor=\"#09254a\"><A HREF=\"/mpsextract_hlp.html\" TRAGET=_blank><FONT color=gray FACE=\"Verdana\"><B>[help]</b></FONT></A></TD></TR>";
echo "<TR><TD VALIGN=top><B>Enable WWW Authentication</B></TD><TD VALIGN=top>"

if [ "X$authEna" = "X1" ]; then
	defaultena="CHECKED";
	defaultdis="";
else
	defaultena="";
	defaultdis="CHECKED";
fi


echo "<INPUT TYPE=RADIO NAME=newAuthEna VALUE=\"1\" $defaultena> enabled<BR>"
echo "<INPUT TYPE=RADIO NAME=newAuthEna VALUE=\"0\" $defaultdis> disabled<BR>"
echo "</TD></TR>";


echo "<TR><TD><B>New admin password:</B></TD><TD><INPUT TYPE=text NAME=newAdminPassword VALUE=\"\"></TD></TR>";
echo "<TR></TR></TABLE>";
echo "<INPUT TYPE=submit VALUE=\"Accept Changes\" >"
echo "<INPUT TYPE=reset VALUE=\"Clear Changes\" >"
echo "</FORM>"
echo "<P><B>Note:</B> <BR> Use 'admin' to login to the exgine web interface.<P>";
echo "</BODY>"
echo "</HTML>"

















