#!/bin/sh

echo "Starting EXGINE deamon ..."
export PATH=$PATH:/mnt/flash

rm -f /dev/fp_if
rm -f /dev/dsp_if
rm -f /dev/fpga_if
rm -f /dev/gpio
rm -f /dev/mps_audio

mknod /dev/fp_if c 250 0
mknod /dev/mps_audio c 251 0
mknod /dev/dsp_if c 252 0
mknod /dev/fpga_if c 253 0
mknod /dev/gpio c 254 0



if [ -e /mnt/flash/www ]; then
    install -d /tmp/www
    cp -af /mnt/flash/www/* /tmp/www
	chmod a+x /tmp/www/cgi-bin/*
    killall httpd
    httpd -p 80 -h /tmp/www -c /mnt/flash/httpd.conf -r "Authenticate:"
fi


rmmod fp_lkm
rmmod dsp_lkm
rmmod fpga_lkm
rmmod gpio_lkm

insmod gpio_lkm.o
insmod fpga_lkm.o
insmod dsp_lkm.o

# fp_lkm now dynamically loaded in the application
#insmod fp_lkm.o

mknod /tmp/stdin p
mknod /tmp/stdout p
mknod /tmp/stderr p

./exgined &




