#!/bin/sh
echo "Content-type: text/html";
echo;
echo "<HTML><TITLE>Edit FM Exgine Settings</TITLE><BODY>";
cd /mnt/flash

errMsg="<BR>Please use your browser's <B>back</B> button to correct the error.<BR>";

#
# Read CGI data
#
read data_in

#
# Parse the input data
#
if [ "X$data_in" != "X" ]; then




#newExgineMode
#newPriSrvMode
#newSecSrvMode

	#
	# Input checking
	#
	#echo "Got $data_in"
	newExgineMode=`echo $data_in | sed -n "s/.*\(newExgineMode=\)\([^\&]*\).*/\2/p"`
    newPriSrvMode=`echo $data_in | sed -n "s/.*\(newPriSrvMode=\)\([^\&]*\).*/\2/p"`
    newSecSrvMode=`echo $data_in | sed -n "s/.*\(newSecSrvMode=\)\([^\&]*\).*/\2/p"`
    newDabEnable=`echo $data_in | sed -n "s/.*\(newDabEnable=\)\([^\&]*\).*/\2/p"`
    
    cp -f /mnt/flash/exgine.cfg /tmp/exgine2.cfg
	
	if [ "X$newExgineMode" = "X0" ]; then
        sed -e	"s/\(exgineMode:[ \t]*\)[^ \t\#]*\(.*$\)/\10\2/" /tmp/exgine2.cfg > /tmp/exgine.cfg    
	else
        cp -f /tmp/exgine2.cfg /tmp/exgine.cfg  
    fi


	if [ "$newPriSrvMode" != "1" \
      -a "$newPriSrvMode" != "2" \
      -a "$newPriSrvMode" != "3" \
      -a "$newPriSrvMode" != "11"\
      -a "$newPriSrvMode" != "5" \
      -a "$newPriSrvMode" != "6" ]; then
			echo "Unsuported service FM mode of $newPriSrvMode<BR>$errMsg";
			exit;
	fi

	if [ "$newSecSrvMode" != "0" \
      -a "$newSecSrvMode" != "1" \
      -a "$newSecSrvMode" != "2" \
      -a "$newSecSrvMode" != "3" ]; then
			echo "Unsuported service secondary FM mode of $newSecSrvMode<BR>$errMsg";
			exit;
	fi


	if [ "$newDabEnable" != "enabled" ]; then
		newDabEnable="disabled";
	fi

	
	#
	# Update configuration files
	#
   	sed -e	"s/\(priSrvMode:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newPriSrvMode\2/" /tmp/exgine.cfg > /tmp/exgine2.cfg
   	sed -e	"s/\(secSrvMode:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newSecSrvMode\2/" /tmp/exgine2.cfg > /tmp/exgine.cfg
   	sed -e	"s/\(dabEnable:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newDabEnable\2/" /tmp/exgine.cfg > /tmp/exgine2.cfg

    
    
	cat /proc/flash_write_enable > /dev/null
	mount -o remount,rw /mnt/flash
	
	if [ -e /mnt/flash/exgine.cfg ] ; then 
    		cp -f /mnt/flash/exgine.cfg /mnt/flash/exgine.cfg.bkup
	fi
	cp -f /tmp/exgine2.cfg /mnt/flash/exgine.cfg
	
	
	mount -o remount,ro /mnt/flash
	cat /proc/flash_write_disable > /dev/null
	echo "<P><B>Note:</B> Changes have been applied.  A <A HREF="reboot.sh">reboot</A> is required for these changes to take effect.<P>";
fi

#
# Read configuration file settings
#

# exgine IP address
exgineMode=`sed -n "s/\(exgineMode:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/exgine.cfg`;
priSrvMode=`sed -n "s/\(priSrvMode:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/exgine.cfg`;
secSrvMode=`sed -n "s/\(secSrvMode:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/exgine.cfg`;
dabEnable=`sed -n "s/\(dabEnable:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/exgine.cfg`;


################################################################################
# Build the HTML page
################################################################################
echo "<FORM METHOD=POST ACTION=fmexgine.sh>"

echo "<TABLE WIDTH=80% CELLSPACING=0  CELLPADDING=4>"
echo "<TR><TD bgcolor=\"#09254a\"><FONT color=gray FACE=\"Verdana\"><B>FM Exgine System Parameters</B></FONT></TD>";
echo "<TD ALIGN=right bgcolor=\"#09254a\"><A HREF=\"/fmexgine_hlp.html\" TRAGET=_blank><FONT color=gray FACE=\"Verdana\"><B>[help]</b></FONT></A></TD></TR>";
echo "<TR><TD VALIGN=top><B>FM Operating mode </B></TD><TD>"

if [ "X$exgineMode" = "X0" ]; then
    echo "Set to FM Mode"
else
	echo "Not set to FM Mode. Switch to FM mode?<BR>"
    echo "<INPUT TYPE=RADIO NAME=newExgineMode VALUE=\"0\" checked> yes<BR>"
    echo "<INPUT TYPE=RADIO NAME=newExgineMode VALUE=\"other\"> no"
    
fi
    echo "<TR><TD VALIGN=top><B>Digital Carriers</B></TD><TD>"
    
    if [ "$dabEnable" = "enabled" ]; then
        default_dab_on="CHECKED";
        default_dab_off="";
    else
        default_dab_on="";
        default_dab_off="CHECKED";
    fi
    
    echo "<INPUT TYPE=RADIO NAME=newDabEnable VALUE=\"enabled\" $default_dab_on> on<BR>"
    echo "<INPUT TYPE=RADIO NAME=newDabEnable VALUE=\"disabled\" $default_dab_off> off"
    echo "</TD></TR>";

echo "</TD></TR>";
echo "<TR><TD VALIGN=top><B>Default primary service mode </B></TD><TD>"

    if [ "X$priSrvMode" = "X2" ]; then
        default_mp1="";
        default_mp2="CHECKED";
        default_mp3="";
        default_mp11="";
        default_mp5="";
        default_mp6="";
    elif [ "X$priSrvMode" = "X3" ]; then
        default_mp1="";
        default_mp2="";
        default_mp3="CHECKED";
        default_mp11="";
        default_mp5="";
        default_mp6="";
    elif [ "X$priSrvMode" = "X11" ]; then
        default_mp1="";
        default_mp2="";
        default_mp3="";
        default_mp11="CHECKED";
        default_mp5="";
        default_mp6="";
    elif [ "X$priSrvMode" = "X5" ]; then
        default_mp1="";
        default_mp2="";
        default_mp3="";
        default_mp11="";
        default_mp5="CHECKED";
        default_mp6="";
    elif [ "X$priSrvMode" = "X6" ]; then
        default_mp1="";
        default_mp2="";
        default_mp3="";
        default_mp11="";
        default_mp5="";
        default_mp6="CHECKED";
    else
        default_mp1="CHECKED";
        default_mp2="";
        default_mp3="";
        default_mp11="";
        default_mp5="";
        default_mp6="";
    fi

    echo "<INPUT TYPE=RADIO NAME=newPriSrvMode VALUE=\"1\" $default_mp1> MP1<BR>"
    echo "<INPUT TYPE=RADIO NAME=newPriSrvMode VALUE=\"2\" $default_mp2> MP2<BR>"
    echo "<INPUT TYPE=RADIO NAME=newPriSrvMode VALUE=\"3\" $default_mp3> MP3<BR>"
    echo "<INPUT TYPE=RADIO NAME=newPriSrvMode VALUE=\"11\" $default_mp11> MP11<BR>"
    echo "<INPUT TYPE=RADIO NAME=newPriSrvMode VALUE=\"5\" $default_mp5> MP5<BR>"
    echo "<INPUT TYPE=RADIO NAME=newPriSrvMode VALUE=\"6\" $default_mp6> MP6"

echo "</TD></TR>";
echo "<TR><TD VALIGN=top><B>Default secondary service mode </B></TD><TD>"

    if [ "X$secSrvMode" = "X1" ]; then
        default_ms0="";
        default_ms1="CHECKED";
        default_ms2="";
        default_ms3="";
        default_ms4="";
    elif [ "X$secSrvMode" = "X2" ]; then
        default_ms0="";
        default_ms1="";
        default_ms2="CHECKED";
        default_ms3="";
        default_ms4="";
    elif [ "X$secSrvMode" = "X3" ]; then
        default_ms0="";
        default_ms1="";
        default_ms2="";
        default_ms3="CHECKED";
        default_ms4="";
    elif [ "X$secSrvMode" = "X4" ]; then
        default_ms0="";
        default_ms1="";
        default_ms2="";
        default_ms3="";
        default_ms4="CHECKED";
    else
        default_ms0="CHECKED";
        default_ms1="";
        default_ms2="";
        default_ms3="";
        default_ms4="";
    fi

    echo "<INPUT TYPE=RADIO NAME=newSecSrvMode VALUE=\"1\" $default_ms0> (none)<BR>"
    echo "<INPUT TYPE=RADIO NAME=newSecSrvMode VALUE=\"2\" $default_ms1> MS1<BR>"
    echo "<INPUT TYPE=RADIO NAME=newSecSrvMode VALUE=\"3\" $default_ms2> MS2<BR>"
    echo "<INPUT TYPE=RADIO NAME=newSecSrvMode VALUE=\"1\" $default_ms3> MS3<BR>"
    echo "<INPUT TYPE=RADIO NAME=newSecSrvMode VALUE=\"2\" $default_ms4> MS4"
echo "</TD></TR>";

echo "<TR></TR></TABLE>";
echo "<INPUT TYPE=submit VALUE=\"Accept Changes\" >"
echo "<INPUT TYPE=reset VALUE=\"Clear Changes\" >"
echo "</FORM>"
echo "</BODY>"

















